%define section         free

Name:           objectweb-asm3
Version:        3.3.1
Release:        %mkrel 1
Epoch:          0
Summary:        Code manipulation tool to implement adaptable systems
License:        BSD-style
URL:            http://asm.objectweb.org/
Group:          Development/Java
Source0:        http://download.fr2.forge.objectweb.org/asm/asm-3.3.1.tar.gz
BuildRequires:  ant
BuildRequires:  bcel
BuildRequires:  cobertura
BuildRequires:  csg-bytecode
BuildRequires:  cojen
BuildRequires:  janino
BuildRequires:  java-rpmbuild >= 0:1.6
BuildRequires:  javassist
BuildRequires:  jbet
BuildRequires:  jclasslib
BuildRequires:  jiapi
BuildRequires:  kawa
BuildRequires:  objectweb-anttask
BuildRequires:  rhino
BuildRequires:  zip
BuildArch:      noarch
BuildRequires:  java-devel

%description
ASM is a code manipulation tool to implement adaptable systems.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n asm-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

# TODO
# Class path for the AspectJ library that contains the modified BCEL version
# (version 1.5) See http://www.eclipse.org/aspectj
# aspectj.path aspectjweaver.jar

cat > build.properties << GIL
product.name=asm
product.version=%{version}
plugin.version=%{version}.0
build.compiler=modern
bcel.path=$(build-classpath bcel)
serp.jar=$(build-classpath serp)
javassist.path=$(build-classpath javassist)
janino.path=$(build-classpath janino)
cobertura.jar=$(build-classpath cobertura)
objectweb.ant.tasks.path=$(build-classpath objectweb-anttask)
kawa.jar=$(build-classpath kawa)
csg-bytecode.jar=$(build-classpath csg-bytecode)
cojen.jar=$(build-classpath cojen)
jbet.jar=$(build-classpath jbet)
jclasslib.jar=$(build-classpath jclasslib)
jiapi.jar=$(build-classpath jiapi)
rhino.jar=$(build-classpath rhino)
jdk.url=%{_javadocdir}/java
GIL

%{__mkdir_p} test/lib

%{__perl} -pi -e 's/\r$//g' LICENSE.txt README.txt
%{__perl} -pi -e 's|.*<attribute name="Class-path".*||' archive/asm-xml.xml

%build
export CLASSPATH=:
export OPT_JAR_LIST=:
%{ant} -Dobjectweb.ant.tasks.path=$(build-classpath objectweb-anttask) jar jdoc

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms

for jar in output/dist/lib/*.jar; do
  install -m 644 ${jar} %{buildroot}%{_javadir}/objectweb-asm3/`basename ${jar}`
done

install -m 644 output/dist/lib/all/asm-all-%{version}.jar %{buildroot}%{_javadir}/objectweb-asm3/
%add_to_maven_depmap asm asm-all %{version} JPP/objectweb-asm3 asm-all
install -pm 644 output/dist/lib/all/asm-all-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.objectweb-asm3-asm-all.pom
install -m 644 output/dist/lib/all/asm-debug-all-%{version}.jar  %{buildroot}%{_javadir}/objectweb-asm3/
%add_to_maven_depmap asm asm-debug-all %{version} JPP/objectweb-asm3 asm-debug-all
install -pm 644 output/dist/lib/all/asm-debug-all-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.objectweb-asm3-asm-debug-all.pom

for artifact in \
  asm-analysis \
  asm-commons \
  asm-parent \
  asm \
  asm-tree \
  asm-util \
  asm-xml \
  ; do

  %add_to_maven_depmap asm $artifact %{version} JPP/objectweb-asm3 $artifact
  install -pm 644 output/dist/lib/$artifact-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP.objectweb-asm3-$artifact.pom
done

(
  cd %{buildroot}%{_javadir}/objectweb-asm3
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

install -p -d -m 755 %{buildroot}%{_javadocdir}/objectweb-asm3-%{version}
cp -pr output/dist/doc/javadoc/user/* %{buildroot}%{_javadocdir}/objectweb-asm3-%{version}
ln -s objectweb-asm3-%{version} %{buildroot}%{_javadocdir}/objectweb-asm3

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a output/dist/doc/javadoc/user/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

# fix end-of-line
%{__perl} -pi -e 's/\r$//g' README.txt

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc README.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/asm-all-%{version}.jar
%{_javadir}/%{name}/asm-all.jar
%{_javadir}/%{name}/asm-debug-all-%{version}.jar
%{_javadir}/%{name}/asm-debug-all.jar
%{_javadir}/%{name}/asm-%{version}.jar
%{_javadir}/%{name}/asm.jar
%{_javadir}/%{name}/asm-analysis-%{version}.jar
%{_javadir}/%{name}/asm-analysis.jar
%{_javadir}/%{name}/asm-commons-%{version}.jar
%{_javadir}/%{name}/asm-commons.jar
%{_javadir}/%{name}/asm-tree-%{version}.jar
%{_javadir}/%{name}/asm-tree.jar
%{_javadir}/%{name}/asm-util-%{version}.jar
%{_javadir}/%{name}/asm-util.jar
%{_javadir}/%{name}/asm-xml-%{version}.jar
%{_javadir}/%{name}/asm-xml.jar
%{_datadir}/maven2/poms/*
%config(noreplace) %{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%dir %{_javadocdir}/%{name}





%changelog

* Sat Nov 05 2011 dmorgan <dmorgan> 0:3.3.1-1.mga2
+ Revision: 163097
- Remove GCJ support
- Remove un exising macro

  + gil <gil>
    - imported package objectweb-asm3

